Advanced Frontend Editing - Bug # 56153

Status: Closed Priority: Should have
Author: Sebastian Stelmasik Category:

Created: 2014-02-20 Assigned To: Sebastian Stelmasik
Updated: 2014-08-06 Due date:

Subiject: 6.2 Compatibility Changes

Description

Extansion causes lots of PHP Fatal error: require_once() issues.
Tried with patch provided here:

http://forge.typo3.org/issues/45943

But it does not solve all issues - created an updated one and attached it :).

Design is still corrupted, but extansion is fully functional.

Related issues:

related to Advanced Frontend Editing - Bug # 45943: 6.0 Compatibility Changes
related to Advanced Frontend Editing - Bug # 60776: Stop using deprecated fun...
precedes Advanced Frontend Editing - Bug # 61212: Fix fatal error in TYPO3 < 6.2

Closed
Closed
Resolved

2013-03-01
2014-08-04
2014-08-26

Associated revisions

Revision ¢52513fb - 2014-08-03 16:29 - Chris topher

[TASK] Remove require_once() calls to Core classes

Autoloader for Core classes is present since TYPO3 4.3. As far as
require_once() calls to core classes are concerned, these calls can be

removed.

Change-Id: [f769e306552fe9b851048107ccc5218ed7dd08e2
Related: #56153
Reviewed-on: http:/review.typo3.0rg/31958

Reviewed-by: Chris topher <chrissitopher@gmx.de>

Tested-by: Chris topher <chrissitopher@gmx.de>

Revision 6ad56aa0 - 2014-08-03 20:36 - Chris topher

[TASK] 6.2 Compatibility Changes

Fix inclusion of CSS and JS files as well as some language specific
settings.

Change-Id: Icbeb0173e340a24a793505ac3155d115f2c78d9a
Resolves: #56153
Reviewed-on: http://review.typo3.org/31961

Reviewed-by: Chris topher <chrissitopher@gmx.de>

Tested-by: Chris topher <chrissitopher@gmx.de>
History

#1 - 2014-03-26 18:00 - Chris topher

Autoloader for Core classes is present since TYPO3 4.3. As far as require_once() calls to core classes are concerned, the solution is to just remove
these calls.

#2 - 2014-04-23 14:53 - Sebastian Stelmasik
- File PageRenderer.php_patch added

- Assigned To set to Sebastian Stelmasik

- Target version set to 1.7.0

- % Done changed from 0 to 90

Another error occured after updateing to 6.2.0/.1 (been using beta before) - PageRanderer lost charset/lang settings when cloned via ajax.

Updated Core-Page-Renderer (typo3/sysext/core/Classes/Page/PageRenderer.php) to fix (s. attachement). | ihink it's the same issue as here:

http://forge.typo3.org/issues/27957

#3 - 2014-05-26 15:05 - Hercules Karvasonis

- File ajax.php added

Hi Sebastian,

i tried to use the feeditadvanced extension on the latest TYPOS3 6.2 and followed your instructions.

After i made the FE edit page to load i wasn't able to create new page, or new content or move an existing content.

The design was also corrupted as you mentioned above.

After digging into the code of the new TYPO3 i found out that TYPOS is now caching all loaded ext_tables files and related conf files in typo3temp.
So, i used the "loadExtensionTables" function in "feeditadvanced/service/ajax.php" file in the initialize TSFE function right after the
initializeBackendUser call.

This loaded correctly all conf files, the FE edit design is working correctly and i am able now to create new page, new content and move existing
elements.

There were also a few js errors there since some js files are not included now and i fixed them also in the renderContentElement function.

| will continue digging and see if i find any other issues that need to be fixed for 6.2.

You check my code on the attached ajax.php file.

Thanks,

Hercules Karvasonis.

#4 - 2014-05-30 12:48 - Stefan Neufeind

Could somebody wrap up the patches and submit them as a review to review.typo3.org (gerrit) please?

#5 - 2014-06-14 13:04 - Sebastian Stelmasik
Hi Hercules (cool name :) ),

thanks for You commit - could you please provide a patch with everything that's different from the 'original' version, as | still have probs with the FE

edit design.

Best regards,

Sebastian

#6 - 2014-06-16 14:53 - Hercules Karvasonis

- File class.tx_feeditadvanced_editpanel.diff added

Hi Sebastian,

RTE is broken since there are a couple of CSS files not loaded on FE Edit with TYPO3 6.2

| have fixed the RTE issue by loading those 2 files.

You can find a diff file attached on this issue.

Thanks,
Hercules.

#7 - 2014-08-03 14:33 - Chris topher

- Target version changed from 1.7.0 to 1.6.0

#8 - 2014-08-03 16:29 - Chris topher

- File feeditadvanced_patch_6.2_v2 added

- Subject changed from 6.2 Compability Changes to 6.2 Compatibility Changes

| am currently trying to see, what changes are actually in the attached patches:

- feeditadvanced_patch_6.2: Relevant from that patch is only the removal of require_once() calls in file service/ajax.php. Everything else has

already been solved. New version attached. This change will be committed in https://review.typo3.org/31958/

- The PageRenderer has been fixed with #27957. It now at least uses setCharSet() to set the charset. As for the language | am unsure - #27957 did

not add a call to setLanguage().

To be continued with Hercules' post...

#9 - 2014-08-03 17:59 - Chris topher
- File Hercules_patch_ajax.php_v2.patch added

Attached is a cleaned-up version of Hercules' ajax.php file. | made a patch file out of it.

Also still have to deal with the design patch class.tx_feeditadvanced_editpanel, which Hercules attached above.
#10 - 2014-08-03 20:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project TYPO3CMS/Extensions/feeditadvanced has been pushed to the review server.

It is available at http://review.typo3.0rg/31961

#11 - 2014-08-03 20:18 - Gerrit Code Review

Patch set 3 for branch master of project TYPO3CMS/Extensions/feeditadvanced has been pushed to the review server.

It is available at http://review.typo3.org/31961

#12 - 2014-08-03 20:24 - Gerrit Code Review

Patch set 4 for branch master of project TYPO3CMS/Extensions/feeditadvanced has been pushed to the review server.

It is available at http://review.typo3.org/31961

#13 - 2014-08-03 20:34 - Gerrit Code Review

Patch set 5 for branch master of project TYPO3CMS/Extensions/feeditadvanced has been pushed to the review server.

It is available at http://review.typo3.0rg/31961

#14 - 2014-08-03 21:03 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:6ad56aa036ca47db993c5b20d2244eede418654b.

#15 - 2014-08-06 12:06 - Chris topher

- Status changed from Resolved to Closed

Files

feeditadvanced_patch_6.2 5.1 kB 2014-02-20 Sebastian Stelmasik
PageRenderer.php_patch 1000 Bytes 2014-04-23 Sebastian Stelmasik
ajax.php 30.5kB 2014-05-26 Hercules Karvasonis
class.tx_feeditadvanced_editpanel.diff 1.1 kB 2014-06-16 Hercules Karvasonis
feeditadvanced_patch_6.2_v2 2.3 kB 2014-08-03 Chris topher
Hercules_patch_ajax.php_v2.patch 2.8 kB 2014-08-03 Chris topher
